/// <reference types="cheerio" />
import { Response } from 'node-fetch';
import { Provider, ProviderError } from './providers';
export declare function formatMagnet(infoHash: string, name: string, trackers: string[]): string;
export declare function loadPage(url: string): Promise<Response>;
export declare function loadJson<T>(url: string): Promise<T>;
export declare function crawlPage(url: string): Promise<{
    $: cheerio.Root;
}>;
export declare function parseErrorMessage(error: unknown): string;
export declare function executeProviders<T>(providers: Provider[], callback: (provider: Provider) => T | Promise<T>): Promise<{
    items: T[];
    errors: ProviderError[];
}>;
