"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.search = exports.getMeta = void 0;
const common_stuff_1 = require("common-stuff");
const helpers_1 = require("./helpers");
async function getMeta(targetProviders) {
    return helpers_1.executeProviders(targetProviders, v => v.getMeta());
}
exports.getMeta = getMeta;
async function search(targetProviders, query, options) {
    const words = common_stuff_1.extractWords(query);
    const { errors, items } = await helpers_1.executeProviders(targetProviders, v => v.search(query, options));
    return {
        errors,
        items: common_stuff_1.sortBy(items.flat(), v => {
            const index = common_stuff_1.extractWords(v.name);
            return [
                words.filter(word => index.includes(word)).length * -1,
                v.seeds * -1
            ];
        }),
    };
}
exports.search = search;
