"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultProvider = exports.getDefaultProviders = exports.defaultProviders = void 0;
__exportStar(require("./base"), exports);
const nyaa_1 = require("./nyaa");
const thepiratebay_1 = require("./thepiratebay");
const torrentparadise_1 = require("./torrentparadise");
const _1337x_1 = require("./1337x");
const errors_1 = require("../errors");
exports.defaultProviders = [
    new nyaa_1.NyaaProvider(),
    new thepiratebay_1.ThepiratebayProvider(),
    new torrentparadise_1.TorrentParadiseProvider(),
    new _1337x_1.X1337Provider(),
];
function getDefaultProviders(providerNames) {
    return providerNames.map(getDefaultProvider);
}
exports.getDefaultProviders = getDefaultProviders;
function getDefaultProvider(providerName) {
    const provider = exports.defaultProviders.find(p => p.providerName === providerName);
    if (provider) {
        return provider;
    }
    throw new errors_1.TorrentsBrowserError(`Unknown torrents provider: ${providerName}`);
}
exports.getDefaultProvider = getDefaultProvider;
